<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Variables y constantes</title>
</head>
<body>
    <h1>Variables y constantes</h1>

    <script>
        //Dos formas de declarar variables: var y let

        //var (no recomendable)
        var nombre = "Liliana";

        console.log("Hola mundo");

        // let (recomendable)
        //let nombre = "Liliana";

        //objeto window -> almacena variables globales
        console.log(window);

        console.log("----------var--------");
        var estacion = "primavera";
        console.log("Variable antes del bloque ",estacion);

        //Segunda declaración de la variable verano
        var estacion = "verano";

        {
            var estacion = "verano";
            console.log("Variable dentro del bloque", estacion);
        }

        console.log("Variable despues del bloque", estacion)

        console.log("----------let--------");
        let estacion2 = "invierno";
        console.log("Variable antes del bloque ",estacion2);

        //Segunda declaración de la variable verano
        // var estacion = "verano";

        {
            let estacion2 = "otoño";
            console.log("Variable dentro del bloque", estacion2);
        }

        console.log("Variable despues del bloque", estacion2)




        
    </script>
</body>
</html>